Subject: Re: linux-next: Tree for January 12 (cifs vs. staging)

From: Greg KH <[email-masked]>
Date: Mon, 12 Jan 2009 11:13:30 -0800

On Mon, Jan 12, 2009 at 12:58:42PM -0600, Steve French wrote:
> There is not just the cifs md5 one (which has been around a long
> time), but an md5_init (static) in crypto and the new one in rt.  The
> addition of the new one (rt md5_init) causes the build problem.   It
> would be nice if we could use the same md5 routines though ... last
> time we checked the crypto one was not well suited for calculating
> signatures as a network fs would do though.

I'll fix up the staging rt drivers to not do this, but cifs shouldn't be
declaring such functions as globals either :)

thanks,

greg k-h